Skip to main content
Resource Center/Resource Pool/Snapshot Group Operations
GETSnapshot Group OperationsSince 3.6.0SynchronousAuth Required

QueryVolumeSnapshotGroup

QueryVolumeSnapshotGroup

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • snapshotCountIntegerRequired

      The number of snapshots in the snapshot group.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • vmInstanceUuidStringRequired

      The VM instance UUID.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • volumeSnapshotRefsListRequired

      See volumeSnapshotRefs.

      • volumeSnapshotUuidStringRequired

        The volume snapshot UUID.

      • volumeSnapshotGroupUuidStringRequired

        The snapshot group UUID.

      • deviceIdintRequired

        The device ID of the volume when the snapshot is taken.

      • snapshotDeletedbooleanRequired

        Whether the snapshot is deleted.

      • volumeUuidStringRequired

        The volume UUID.

      • volumeNameStringRequired

        The volume name.

      • volumeTypeStringRequired

        The volume type.

      • volumeSnapshotInstallPathStringRequired

        The path to install the snapshot.

      • volumeSnapshotNameStringRequired

        The snapshot name.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

Endpoint

GET/zstack/v1/volume-snapshots/group

/zstack/v1/volume-snapshots/group

Operation ID

QueryVolumeSnapshotGroup

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/volume-snapshots/group' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "2c95e5285a733df6a2b70e198282f594", "snapshotCount": 1.0, "name": "group", "vmInstanceUuid": "371076859fa9326fba89633429f0aa06", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "volumeSnapshotRefs": [ { "volumeSnapshotUuid": "bb6bc37f1c483ac1b7703b6ba58a2081", "volumeSnapshotGroupUuid": "2c95e5285a733df6a2b70e198282f594", "deviceId": 0.0, "snapshotDeleted": false, "volumeUuid": "6ff4fae70b79328bb0233313adb1226b", "volumeName": "ROOT-volume", "volumeType": "Root", "volumeSnapshotInstallPath": "/Cloud_ps/to/path/snap.qcow2", "volumeSnapshotName": "group-ROOT-volume", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] } ] }

Change History

This API has no change history records yet.

View all change history